diff --git a/base/common/src/com/netscape/cms/servlet/admin/UserCertService.java b/base/common/src/com/netscape/cms/servlet/admin/UserCertService.java
index 4f2304a9701b13770144c6e379469de576614e4a..c2d4d6cfa43aac621679dd0685f1fe7a592b8579 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/UserCertService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/UserCertService.java
@@ -50,7 +50,7 @@ import com.netscape.certsrv.user.UserCertData;
 import com.netscape.certsrv.user.UserCertResource;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
 import com.netscape.certsrv.usrgrp.IUser;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
 import com.netscape.cmsutil.util.Cert;
 import com.netscape.cmsutil.util.Utils;
@@ -96,7 +96,7 @@ public class UserCertService extends PKIService implements UserCertResource {
 
             if (userID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IUser user = null;
@@ -104,12 +104,12 @@ public class UserCertService extends PKIService implements UserCertResource {
             try {
                 user = userGroupManager.getUser(userID);
             } catch (Exception e) {
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
             }
 
             if (user == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_USER_NOT_EXIST"));
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
             }
 
             UserCertCollection response = new UserCertCollection();
@@ -134,11 +134,11 @@ public class UserCertService extends PKIService implements UserCertResource {
 
             return response;
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             throw e;
 
         } catch (Exception e) {
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -148,7 +148,7 @@ public class UserCertService extends PKIService implements UserCertResource {
             if (userID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
 
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IUser user = null;
@@ -156,24 +156,24 @@ public class UserCertService extends PKIService implements UserCertResource {
             try {
                 user = userGroupManager.getUser(userID);
             } catch (Exception e) {
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
             }
 
             if (user == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_USER_NOT_EXIST"));
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
             }
 
             X509Certificate[] certs = user.getX509Certificates();
 
             if (certs == null) {
-                throw new CMSException("Certificate not found");
+                throw new PKIException("Certificate not found");
             }
 
             try {
                 certID = URLDecoder.decode(certID, "UTF-8");
             } catch (Exception e) {
-                throw new CMSException(e.getMessage());
+                throw new PKIException(e.getMessage());
             }
 
             for (X509Certificate cert : certs) {
@@ -192,13 +192,13 @@ public class UserCertService extends PKIService implements UserCertResource {
                 return userCertData;
             }
 
-            throw new CMSException("Certificate not found");
+            throw new PKIException("Certificate not found");
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             throw e;
 
         } catch (Exception e) {
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -223,7 +223,7 @@ public class UserCertService extends PKIService implements UserCertResource {
         try {
             if (userID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IUser user = userGroupManager.createUser(userID);
@@ -266,7 +266,7 @@ public class UserCertService extends PKIService implements UserCertResource {
                     X509Certificate p7certs[] = pkcs7.getCertificates();
 
                     if (p7certs.length == 0) {
-                        throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_CERT_ERROR"));
+                        throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_CERT_ERROR"));
                     }
 
                     // fix for 370099 - cert ordering can not be assumed
@@ -292,7 +292,7 @@ public class UserCertService extends PKIService implements UserCertResource {
                     } else {
                         // not a chain, or in random order
                         CMS.debug("UserCertResourceService: " + CMS.getLogMessage("ADMIN_SRVLT_CERT_BAD_CHAIN"));
-                        throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_CERT_ERROR"));
+                        throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_CERT_ERROR"));
                     }
 
                     CMS.debug("UserCertResourceService: "
@@ -343,7 +343,7 @@ public class UserCertService extends PKIService implements UserCertResource {
                 */
                 } catch (Exception e) {
                     log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_CERT_ERROR", e.toString()));
-                    throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_CERT_ERROR"));
+                    throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_CERT_ERROR"));
                 }
             }
 
@@ -375,29 +375,29 @@ public class UserCertService extends PKIService implements UserCertResource {
             } catch (CertificateExpiredException e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_ADD_CERT_EXPIRED",
                         String.valueOf(cert.getSubjectDN())));
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_CERT_EXPIRED"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_CERT_EXPIRED"));
 
             } catch (CertificateNotYetValidException e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_CERT_NOT_YET_VALID",
                         String.valueOf(cert.getSubjectDN())));
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_CERT_NOT_YET_VALID"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_CERT_NOT_YET_VALID"));
 
             } catch (LDAPException e) {
                 if (e.getLDAPResultCode() == LDAPException.ATTRIBUTE_OR_VALUE_EXISTS) {
-                    throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_USER_CERT_EXISTS"));
+                    throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_USER_CERT_EXISTS"));
                 } else {
-                    throw new CMSException(getUserMessage("CMS_USRGRP_USER_MOD_FAILED"));
+                    throw new PKIException(getUserMessage("CMS_USRGRP_USER_MOD_FAILED"));
                 }
             }
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditAddUserCert(userID, userCertData, ILogger.FAILURE);
             throw e;
 
         } catch (Exception e) {
             log(ILogger.LL_FAILURE, e.toString());
             auditAddUserCert(userID, userCertData, ILogger.FAILURE);
-            throw new CMSException(getUserMessage("CMS_USRGRP_USER_MOD_FAILED"));
+            throw new PKIException(getUserMessage("CMS_USRGRP_USER_MOD_FAILED"));
         }
     }
 
@@ -423,7 +423,7 @@ public class UserCertService extends PKIService implements UserCertResource {
         try {
             certID = URLDecoder.decode(certID, "UTF-8");
         } catch (Exception e) {
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
 
         UserCertData userCertData = new UserCertData();
@@ -438,7 +438,7 @@ public class UserCertService extends PKIService implements UserCertResource {
         try {
             if (userID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IUser user = userGroupManager.createUser(userID);
@@ -456,14 +456,14 @@ public class UserCertService extends PKIService implements UserCertResource {
 
             auditDeleteUserCert(userID, userCertData, ILogger.SUCCESS);
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditDeleteUserCert(userID, userCertData, ILogger.FAILURE);
             throw e;
 
         } catch (Exception e) {
             log(ILogger.LL_FAILURE, e.toString());
             auditDeleteUserCert(userID, userCertData, ILogger.FAILURE);
-            throw new CMSException(getUserMessage("CMS_USRGRP_USER_MOD_FAILED"));
+            throw new PKIException(getUserMessage("CMS_USRGRP_USER_MOD_FAILED"));
         }
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/UserService.java b/base/common/src/com/netscape/cms/servlet/admin/UserService.java
index 1128e09e70eb47b5ea95a72d0fa4ba5c3c15d92c..6876197226954b32625f0e6a60e8ff07e9fba4d2 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/UserService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/UserService.java
@@ -45,7 +45,7 @@ import com.netscape.certsrv.usrgrp.EUsrGrpException;
 import com.netscape.certsrv.usrgrp.IGroup;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
 import com.netscape.certsrv.usrgrp.IUser;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
 import com.netscape.cmsutil.ldap.LDAPUtil;
 
@@ -123,7 +123,7 @@ public class UserService extends PKIService implements UserResource {
             return response;
 
         } catch (Exception e) {
-            throw new CMSException(getUserMessage("CMS_INTERNAL_ERROR"));
+            throw new PKIException(getUserMessage("CMS_INTERNAL_ERROR"));
         }
     }
 
@@ -142,7 +142,7 @@ public class UserService extends PKIService implements UserResource {
             if (userID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
 
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IUser user;
@@ -150,13 +150,13 @@ public class UserService extends PKIService implements UserResource {
             try {
                 user = userGroupManager.getUser(userID);
             } catch (Exception e) {
-                throw new CMSException(getUserMessage("CMS_INTERNAL_ERROR"));
+                throw new PKIException(getUserMessage("CMS_INTERNAL_ERROR"));
             }
 
             if (user == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_USER_NOT_EXIST"));
 
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_USER_NOT_EXIST"));
             }
 
             UserData userData = createUserData(user);
@@ -175,11 +175,11 @@ public class UserService extends PKIService implements UserResource {
 
             return userData;
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             throw e;
 
         } catch (Exception e) {
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -207,19 +207,19 @@ public class UserService extends PKIService implements UserResource {
         try {
             if (userID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             if (userID.indexOf(BACK_SLASH) != -1) {
                 // backslashes (BS) are not allowed
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_RS_ID_BS"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_RS_ID_BS"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_RS_ID_BS"));
             }
 
             if (userID.equals(SYSTEM_USER)) {
                 // backslashes (BS) are not allowed
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_SPECIAL_ID", userID));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_SPECIAL_ID", userID));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_SPECIAL_ID", userID));
             }
 
             IUser user = userGroupManager.createUser(userID);
@@ -229,7 +229,7 @@ public class UserService extends PKIService implements UserResource {
                 String msg = getUserMessage("CMS_USRGRP_USER_ADD_FAILED_1", "full name");
 
                 log(ILogger.LL_FAILURE, msg);
-                throw new CMSException(msg);
+                throw new PKIException(msg);
 
             } else {
                 user.setFullName(fname);
@@ -292,27 +292,27 @@ public class UserService extends PKIService implements UserResource {
                 log(ILogger.LL_FAILURE, e.toString());
 
                 if (user.getUserID() == null) {
-                    throw new CMSException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED_1", "uid"));
+                    throw new PKIException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED_1", "uid"));
                 } else {
-                    throw new CMSException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
+                    throw new PKIException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
                 }
 
             } catch (LDAPException e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_ADD_USER_FAIL", e.toString()));
-                throw new CMSException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
 
             } catch (Exception e) {
                 log(ILogger.LL_FAILURE, e.toString());
-                throw new CMSException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
             }
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditAddUser(userID, userData, ILogger.FAILURE);
             throw e;
 
         } catch (EBaseException e) {
             auditAddUser(userID, userData, ILogger.FAILURE);
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -337,7 +337,7 @@ public class UserService extends PKIService implements UserResource {
         try {
             if (userID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IUser user = userGroupManager.createUser(userID);
@@ -388,16 +388,16 @@ public class UserService extends PKIService implements UserResource {
 
             } catch (Exception e) {
                 log(ILogger.LL_FAILURE, e.toString());
-                throw new CMSException(getUserMessage("CMS_USRGRP_USER_MOD_FAILED"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_USER_MOD_FAILED"));
             }
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditModifyUser(userID, userData, ILogger.FAILURE);
             throw e;
 
         } catch (EBaseException e) {
             auditModifyUser(userID, userData, ILogger.FAILURE);
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -425,7 +425,7 @@ public class UserService extends PKIService implements UserResource {
         try {
             if (userID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             // get list of groups, and see if uid belongs to any
@@ -435,7 +435,7 @@ public class UserService extends PKIService implements UserResource {
                 groups = userGroupManager.findGroups("*");
 
             } catch (Exception e) {
-                throw new CMSException(getUserMessage("CMS_INTERNAL_ERROR"));
+                throw new PKIException(getUserMessage("CMS_INTERNAL_ERROR"));
             }
 
             try {
@@ -452,10 +452,10 @@ public class UserService extends PKIService implements UserResource {
                 auditDeleteUser(userID, ILogger.SUCCESS);
 
             } catch (Exception e) {
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_FAIL_USER_RMV"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_FAIL_USER_RMV"));
             }
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditDeleteUser(userID, ILogger.FAILURE);
             throw e;
         }
diff --git a/base/common/src/com/netscape/cms/servlet/base/BadRequestException.java b/base/common/src/com/netscape/cms/servlet/base/BadRequestException.java
index b5c5e0b127aed3de93d9a7d16b453dfb504369d6..cefa2698516d287dcf3f0f912f3a7822759f0a42 100644
--- a/base/common/src/com/netscape/cms/servlet/base/BadRequestException.java
+++ b/base/common/src/com/netscape/cms/servlet/base/BadRequestException.java
@@ -18,7 +18,7 @@
 package com.netscape.cms.servlet.base;
 import javax.ws.rs.core.Response;
 
-public class BadRequestException extends CMSException {
+public class BadRequestException extends PKIException {
 
     private static final long serialVersionUID = -4784839378360933483L;
 
diff --git a/base/common/src/com/netscape/cms/servlet/base/CMSException.java b/base/common/src/com/netscape/cms/servlet/base/PKIException.java
similarity index 87%
rename from base/common/src/com/netscape/cms/servlet/base/CMSException.java
rename to base/common/src/com/netscape/cms/servlet/base/PKIException.java
index 5ceb30ee124c2b45f1eb608092999fdbd9fd2251..be2629e17824d8b919c591e3914bdd88c02d7bd5 100644
--- a/base/common/src/com/netscape/cms/servlet/base/CMSException.java
+++ b/base/common/src/com/netscape/cms/servlet/base/PKIException.java
@@ -35,43 +35,43 @@ import javax.xml.bind.annotation.XmlValue;
 import javax.xml.bind.annotation.adapters.XmlAdapter;
 import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
 
-public class CMSException extends RuntimeException {
+public class PKIException extends RuntimeException {
 
     private static final long serialVersionUID = 6000910362260369923L;
 
     public int code;
 
-    public CMSException(String message) {
+    public PKIException(String message) {
         super(message);
         code = Response.Status.INTERNAL_SERVER_ERROR.getStatusCode();
     }
 
-    public CMSException(int code, String message) {
+    public PKIException(int code, String message) {
         super(message);
         this.code = code;
     }
 
-    public CMSException(Response.Status status, String message) {
+    public PKIException(Response.Status status, String message) {
         super(message);
         code = status.getStatusCode();
     }
 
-    public CMSException(String message, Throwable cause) {
+    public PKIException(String message, Throwable cause) {
         super(message, cause);
         code = Response.Status.INTERNAL_SERVER_ERROR.getStatusCode();
     }
 
-    public CMSException(int code, String message, Throwable cause) {
+    public PKIException(int code, String message, Throwable cause) {
         super(message, cause);
         this.code = code;
     }
 
-    public CMSException(Response.Status status, String message, Throwable cause) {
+    public PKIException(Response.Status status, String message, Throwable cause) {
         super(message, cause);
         code = status.getStatusCode();
     }
 
-    public CMSException(Data data) {
+    public PKIException(Data data) {
         super(data.message);
         code = data.code;
     }
@@ -92,7 +92,7 @@ public class CMSException extends RuntimeException {
         return data;
     }
 
-    @XmlRootElement(name="CMSException")
+    @XmlRootElement(name="PKIException")
     public static class Data {
 
         @XmlElement(name="ClassName")
@@ -154,10 +154,10 @@ public class CMSException extends RuntimeException {
     }
 
     @Provider
-    public static class Mapper implements ExceptionMapper<CMSException> {
+    public static class Mapper implements ExceptionMapper<PKIException> {
 
-        public Response toResponse(CMSException exception) {
-            // convert CMSException into HTTP response with XML content
+        public Response toResponse(PKIException exception) {
+            // convert PKIException into HTTP response with XML content
             return Response
                     .status(exception.getCode())
                     .entity(exception.getData())
@@ -168,7 +168,7 @@ public class CMSException extends RuntimeException {
 
     public static void main(String args[]) throws Exception {
         Data data = new Data();
-        data.className = CMSException.class.getName();
+        data.className = PKIException.class.getName();
         data.code = Response.Status.INTERNAL_SERVER_ERROR.getStatusCode();
         data.message = "An error has occured";
         data.setAttribute("attr1", "value1");
diff --git a/base/common/src/com/netscape/cms/servlet/base/PKIService.java b/base/common/src/com/netscape/cms/servlet/base/PKIService.java
index de92d290adb3bb8f26aeb44e8d16c477ee42fd70..a77846c68b7152aaaea888bdf96fc67b46396856 100644
--- a/base/common/src/com/netscape/cms/servlet/base/PKIService.java
+++ b/base/common/src/com/netscape/cms/servlet/base/PKIService.java
@@ -38,7 +38,7 @@ import javax.ws.rs.core.UriInfo;
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.logging.IAuditor;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 
 /**
  * Base class for CMS RESTful resources
@@ -90,9 +90,9 @@ public class PKIService {
         return builder.build();
     }
 
-    public CertificateData createCertificateData(org.mozilla.jss.crypto.X509Certificate cert)
+    public CertData createCertificateData(org.mozilla.jss.crypto.X509Certificate cert)
             throws CertificateEncodingException {
-        CertificateData data = new CertificateData();
+        CertData data = new CertData();
         String b64 = HEADER + CMS.BtoA(cert.getEncoded()) + TRAILER;
         data.setEncoded(b64);
         return data;
diff --git a/base/common/src/com/netscape/cms/servlet/base/UnauthorizedException.java b/base/common/src/com/netscape/cms/servlet/base/UnauthorizedException.java
index 7dfa3d6d4a5b32a4a710adef4196b6ac8e4c541e..83803601cde40b203c37aa6e6c989dd6cadc698a 100644
--- a/base/common/src/com/netscape/cms/servlet/base/UnauthorizedException.java
+++ b/base/common/src/com/netscape/cms/servlet/base/UnauthorizedException.java
@@ -23,7 +23,7 @@ import javax.ws.rs.core.Response;
 /**
  * @author Endi S. Dewata
  */
-public class UnauthorizedException extends CMSException {
+public class UnauthorizedException extends PKIException {
 
     private static final long serialVersionUID = -2025082875126996556L;
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/CertNotFoundException.java b/base/common/src/com/netscape/cms/servlet/cert/CertNotFoundException.java
index 11948ee3950e51416098d3edf2b655ee20d7aaa0..bcfc18aaf383e99614252b4e9a390851c1a81365 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/CertNotFoundException.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/CertNotFoundException.java
@@ -20,9 +20,9 @@ package com.netscape.cms.servlet.cert;
 import javax.ws.rs.core.Response;
 
 import com.netscape.certsrv.dbs.certdb.CertId;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 
-public class CertNotFoundException extends CMSException {
+public class CertNotFoundException extends PKIException {
 
     private static final long serialVersionUID = -4784839378360933483L;
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/CertProcessor.java b/base/common/src/com/netscape/cms/servlet/cert/CertProcessor.java
index 13b0072b4e1be0d98a1c6332bf712616dc24836d..2254a045874515813c1f933f55a5a1f5b3d59d36 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/CertProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/CertProcessor.java
@@ -42,7 +42,7 @@ import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.cms.servlet.processors.Processor;
 import com.netscape.cms.servlet.profile.model.ProfileInput;
-import com.netscape.cms.servlet.request.model.EnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 public class CertProcessor extends Processor {
 
@@ -73,7 +73,7 @@ public class CertProcessor extends Processor {
         }
     }
 
-    private void setInputsIntoRequest(EnrollmentRequestData data, IProfile profile, IRequest req) {
+    private void setInputsIntoRequest(CertEnrollmentRequest data, IProfile profile, IRequest req) {
         // put profile inputs into a local map
         HashMap<String, String> dataInputs = new HashMap<String, String>();
         for (ProfileInput input : data.getInputs()) {
@@ -269,7 +269,7 @@ public class CertProcessor extends Processor {
         return errorCode;
     }
 
-    protected void populateRequests(EnrollmentRequestData data, boolean isRenewal,
+    protected void populateRequests(CertEnrollmentRequest data, boolean isRenewal,
             Locale locale, Date origNotAfter, String origSubjectDN, IRequest origReq, String profileId,
             IProfile profile, IProfileContext ctx, IProfileAuthenticator authenticator, IAuthToken authToken,
             IRequest[] reqs) throws EBaseException {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/CertResource.java b/base/common/src/com/netscape/cms/servlet/cert/CertResource.java
index f3a9d4129af9d6b5ce61c2b413a9dc03225a8e25..e937b28164dcb064dc5e99a719677e3a7d9ff0b3 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/CertResource.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/CertResource.java
@@ -13,9 +13,9 @@ import javax.ws.rs.core.MediaType;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.cms.servlet.cert.model.CertDataInfos;
 import com.netscape.cms.servlet.cert.model.CertRevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertSearchData;
+import com.netscape.cms.servlet.cert.model.CertSearchRequest;
 import com.netscape.cms.servlet.cert.model.CertUnrevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 @Path("")
@@ -37,14 +37,14 @@ public interface CertResource {
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
     public CertDataInfos searchCerts(
-            CertSearchData data,
+            CertSearchRequest data,
             @QueryParam("start") Integer start,
             @QueryParam("size") Integer size);
 
     @GET
     @Path("certs/{id}")
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public CertificateData getCert(@PathParam("id") CertId id);
+    public CertData getCert(@PathParam("id") CertId id);
 
     @POST
     @Path("agent/certs/{id}/revoke-ca")
